% The algorithm2e package has the bug (at least in my opinion)
% that it includes a margin on the right side unconditionally, even
% if this should only be present when line numbers are turned on.
% Algorithm2e advances \hskip by 1.5em. We undo this right at the beginning
% of the envirnoment.

\def\MyAwesomeAlgoSkip{}

\DontPrintSemicolon
\SetAlgoHangIndent{1em}
\SetAlgoSkip{MyAwesomeAlgoSkip}

\begin{algorithm}[t]
  \gdef\MyAwesomeAlgoSkip{\vspace{-1em}}
  \addtolength{\hsize}{1.5em}%
  $\mu^\star \leftarrow
    \argmin\limits_{\raisebox{0pt}[5pt]{$\scriptstyle\mu\in\{0,1\}^{|\SV_\Sdet^t|}$}} \SSP{s}{\mu}$
    s.t.
    $\sum\limits_{v\in c} \mu_v \le 1\; \forall\, c \in \SV_\Sconf^t$
  \hfill\eqref{equ:conflict_resolution}\par
  \For{$v \in \SV_\Sdet^t$}{
    $x_v \leftarrow \mathsf{OFF}$\hspace{.5em}\textbf{if} $\mu_v^\star = 0$\;
  }

  order elements $v$ of $\SV_\Sdet^{\smash{t}}$ by their score $s(v)$\;

  \For{$v \in \SV_\Sdet^t$ \textup{with} $x_v \ne \mathsf{OFF}$}{
      \vspace{2pt}%
      $\SX'_v \leftarrow \Bigl\{ x\in\SX_v \;\;\Bigm| \text{\small\begin{tabular}{c} $x$ does not violate \\[-1pt] coupling constraints \end{tabular}} \Bigr\}$ \;
      assign $\SVarFactorIn v$, $\SVarFactorDet v$ according to $\argmin_{x\in\SX'_v} \SSP{\SCostRepaFactor v}{x}$
      \vspace*{-3pt}\newline(backward direction: use $\SVarFactorOut v$ instead)\;
      propagate state $\SVarFactor v$ accross edges in $\SE$\;
  }

  \caption{Primal heuristics for time step $t$}
  \label{alg:primal}
\end{algorithm}

% vim: set ts=8 sts=2 sw=2 et:
